diff --git a/devel/kirigami-gallery/Makefile b/devel/kirigami-gallery/Makefile
index 09b13813ac64..0fb7e51557b3 100644
--- a/devel/kirigami-gallery/Makefile
+++ b/devel/kirigami-gallery/Makefile
@@ -9,11 +9,10 @@ WWW=		https://invent.kde.org/sdk/kirigami-gallery
 LICENSE=	LGPL20
 LICENSE_FILE=	${WRKSRC}/LICENSE.LGPL-2
 
-USES=		cmake compiler:c++11-lang kde:5 qt:5 tar:xz
+USES=		cmake compiler:c++11-lang kde:6 qt:6 tar:xz
 USE_KDE=	itemmodels kirigami2 package \
 		ecm:build
-USE_QT=		core declarative gui network quickcontrols2 svg widgets \
-		buildtools:build qmake:build
+USE_QT=		base
 
 OPTIONS_DEFINE=	DOCS
 
diff --git a/devel/kirigami-gallery/distinfo b/devel/kirigami-gallery/distinfo
index 8ab4f7036c1b..d6495aed8266 100644
--- a/devel/kirigami-gallery/distinfo
+++ b/devel/kirigami-gallery/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889336
-SHA256 (KDE/release-service/23.08.5/kirigami-gallery-23.08.5.tar.xz) = c4e37041633586fc63db7bf749fb3d4ff56a7d33320e19ea0aa5d8272b24c457
-SIZE (KDE/release-service/23.08.5/kirigami-gallery-23.08.5.tar.xz) = 362388
+TIMESTAMP = 1734460099
+SHA256 (KDE/release-service/24.12.0/kirigami-gallery-24.12.0.tar.xz) = e2b66b3648f4b773e5c8435ed61ffbce1aed7a8078d2f2fc35ad2196cfcb47ce
+SIZE (KDE/release-service/24.12.0/kirigami-gallery-24.12.0.tar.xz) = 370548
diff --git a/devel/kirigami-gallery/pkg-plist b/devel/kirigami-gallery/pkg-plist
index d87ce62978b7..c28493cf3e64 100644
--- a/devel/kirigami-gallery/pkg-plist
+++ b/devel/kirigami-gallery/pkg-plist
@@ -7,17 +7,21 @@ share/locale/da/LC_MESSAGES/kirigamigallery_qt.qm
 share/locale/de/LC_MESSAGES/kirigamigallery_qt.qm
 share/locale/el/LC_MESSAGES/kirigamigallery_qt.qm
 share/locale/en_GB/LC_MESSAGES/kirigamigallery_qt.qm
+share/locale/eo/LC_MESSAGES/kirigamigallery_qt.qm
 share/locale/es/LC_MESSAGES/kirigamigallery_qt.qm
 share/locale/et/LC_MESSAGES/kirigamigallery_qt.qm
 share/locale/eu/LC_MESSAGES/kirigamigallery_qt.qm
 share/locale/fi/LC_MESSAGES/kirigamigallery_qt.qm
 share/locale/fr/LC_MESSAGES/kirigamigallery_qt.qm
 share/locale/gl/LC_MESSAGES/kirigamigallery_qt.qm
+share/locale/he/LC_MESSAGES/kirigamigallery_qt.qm
+share/locale/ia/LC_MESSAGES/kirigamigallery_qt.qm
 share/locale/it/LC_MESSAGES/kirigamigallery_qt.qm
 share/locale/ja/LC_MESSAGES/kirigamigallery_qt.qm
 share/locale/ka/LC_MESSAGES/kirigamigallery_qt.qm
 share/locale/ko/LC_MESSAGES/kirigamigallery_qt.qm
 share/locale/lt/LC_MESSAGES/kirigamigallery_qt.qm
+share/locale/lv/LC_MESSAGES/kirigamigallery_qt.qm
 share/locale/nl/LC_MESSAGES/kirigamigallery_qt.qm
 share/locale/nn/LC_MESSAGES/kirigamigallery_qt.qm
 share/locale/pa/LC_MESSAGES/kirigamigallery_qt.qm
diff --git a/devel/kommit/Makefile b/devel/kommit/Makefile
index c5b894bf8adf..d49a0035af1f 100644
--- a/devel/kommit/Makefile
+++ b/devel/kommit/Makefile
@@ -1,7 +1,7 @@
 PORTNAME=	kommit
-DISTVERSION=	1.3.1-20
-PORTREVISION=	2
+DISTVERSION=	1.6.0
 CATEGORIES=	devel kde
+MASTER_SITES=	KDE/stable/${PORTNAME}/
 
 MAINTAINER=	kde@FreeBSD.org
 COMMENT=	Git GUI client for KDE
@@ -13,17 +13,14 @@ LICENSE_FILE=	${WRKSRC}/COPYING
 LIB_DEPENDS=	libgit2.so:devel/libgit2 \
 		libdolphinvcs.so:x11-fm/dolphin
 
-USES=		cmake compiler:c++17-lang kde:5 localbase:ldflags \
-		pkgconfig qt:5 xorg
+USES=		cmake compiler:c++17-lang gettext kde:6 localbase:ldflags \
+		pkgconfig qt:6 tar:xz xorg
 USE_KDE=	auth bookmarks codecs completion config configwidgets \
 		coreaddons crash dbusaddons doctools i18n itemviews jobwidgets \
 		kio parts service solid sonnet syntaxhighlighting texteditor \
 		textwidgets widgetsaddons windowsystem xmlgui \
 		ecm:build
-USE_QT=		concurrent core dbus gui network widgets xml \
-		buildtools:build qmake:build testlib:build
+USE_QT=		base
 USE_XORG=	x11
 
-KDE_INVENT=	fdfe7a23d95413007bbd6e26182dc423b2d6efa0 sdk
-
 .include <bsd.port.mk>
diff --git a/devel/kommit/distinfo b/devel/kommit/distinfo
index b33cc62c8442..384f669b366e 100644
--- a/devel/kommit/distinfo
+++ b/devel/kommit/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1704215721
-SHA256 (sdk-kommit-fdfe7a23d95413007bbd6e26182dc423b2d6efa0_GL0.tar.gz) = 31b35dcde4d142890ab1e667ac4ce1500a613d2175b64bbfbd2f42936b100629
-SIZE (sdk-kommit-fdfe7a23d95413007bbd6e26182dc423b2d6efa0_GL0.tar.gz) = 1508005
+TIMESTAMP = 1719859903
+SHA256 (kommit-1.6.0.tar.xz) = ac30eb5f1a8c4035c6499d27325d499121ac2de7b3d381cacb0dd7427fb45025
+SIZE (kommit-1.6.0.tar.xz) = 1225548
diff --git a/devel/kommit/pkg-plist b/devel/kommit/pkg-plist
index 7d18fb79bcc7..264ab2978cb7 100644
--- a/devel/kommit/pkg-plist
+++ b/devel/kommit/pkg-plist
@@ -2,20 +2,17 @@ bin/kommit
 bin/kommitdiff
 bin/kommitmerge
 lib/libkommit.so.0
-lib/libkommit.so.1.4.0
+lib/libkommit.so.1.6.0
 lib/libkommitdiff.so.0
-lib/libkommitdiff.so.1.4.0
+lib/libkommitdiff.so.1.6.0
 lib/libkommitgui.so.0
-lib/libkommitgui.so.1.4.0
+lib/libkommitgui.so.1.6.0
 lib/libkommitwidgets.so.0
-lib/libkommitwidgets.so.1.4.0
+lib/libkommitwidgets.so.1.6.0
 %%QT_PLUGINDIR%%/dolphin/vcs/kommitdolphinplugin.so
 share/applications/org.kde.kommit.desktop
 share/applications/org.kde.kommit.diff.desktop
 share/applications/org.kde.kommit.merge.desktop
-share/doc/HTML/en/kommit/index.cache.bz2
-share/doc/HTML/en/kommit/index.docbook
-share/doc/HTML/en/kommit/screenshot_main.png
 share/icons/hicolor/16x16/apps/kommit.png
 share/icons/hicolor/22x22/apps/kommit.png
 share/icons/hicolor/32x32/apps/kommit.png
@@ -67,6 +64,7 @@ share/locale/lt/LC_MESSAGES/kommit.mo
 share/locale/nl/LC_MESSAGES/kommit.mo
 share/locale/pl/LC_MESSAGES/kommit.mo
 share/locale/pt/LC_MESSAGES/kommit.mo
+share/locale/pt_BR/LC_MESSAGES/kommit.mo
 share/locale/sk/LC_MESSAGES/kommit.mo
 share/locale/sl/LC_MESSAGES/kommit.mo
 share/locale/sv/LC_MESSAGES/kommit.mo
@@ -75,4 +73,4 @@ share/locale/uk/LC_MESSAGES/kommit.mo
 share/locale/zh_CN/LC_MESSAGES/kommit.mo
 share/locale/zh_TW/LC_MESSAGES/kommit.mo
 share/metainfo/org.kde.kommit.appdata.xml
-share/qlogging-categories5/kommit.categories
+share/qlogging-categories6/kommit.categories
diff --git a/devel/kopeninghours/Makefile b/devel/kopeninghours/Makefile
new file mode 100644
index 000000000000..968fbcb92544
--- /dev/null
+++ b/devel/kopeninghours/Makefile
@@ -0,0 +1,19 @@
+PORTNAME=	kopeninghours
+DISTVERSION=	${KDE_APPLICATIONS_VERSION}
+CATEGORIES=	devel kde kde-applications
+
+MAINTAINER=	kde@FreeBSD.org
+COMMENT=	Library for parsing and evaluating OSM opening hours expressions
+WWW=		https://www.kde.org/
+
+LICENSE=	LGPL21
+
+USES=		bison cmake compiler:c++11-lib gettext kde:6 qt:6 tar:xz
+USE_KDE=	holidays i18n \
+		ecm:build
+USE_QT=		base declarative
+USE_LDCONFIG=	yes
+
+OPTIONS_DEFINE=	DOCS
+
+.include <bsd.port.mk>
diff --git a/devel/kopeninghours/distinfo b/devel/kopeninghours/distinfo
new file mode 100644
index 000000000000..64957ba18d86
--- /dev/null
+++ b/devel/kopeninghours/distinfo
@@ -0,0 +1,3 @@
+TIMESTAMP = 1734460101
+SHA256 (KDE/release-service/24.12.0/kopeninghours-24.12.0.tar.xz) = 16d29db8c240306794ef5938ce8ef8bea05974c81f4ebe3adf828a14eb6c0656
+SIZE (KDE/release-service/24.12.0/kopeninghours-24.12.0.tar.xz) = 74772
diff --git a/devel/kopeninghours/pkg-descr b/devel/kopeninghours/pkg-descr
new file mode 100644
index 000000000000..ce760118a4ce
--- /dev/null
+++ b/devel/kopeninghours/pkg-descr
@@ -0,0 +1 @@
+Library for parsing and evaluating OSM opening hours expressions.
diff --git a/devel/kopeninghours/pkg-plist b/devel/kopeninghours/pkg-plist
new file mode 100644
index 000000000000..c1ea04a1168a
--- /dev/null
+++ b/devel/kopeninghours/pkg-plist
@@ -0,0 +1,58 @@
+include/KOpeningHours/Display
+include/KOpeningHours/Interval
+include/KOpeningHours/IntervalModel
+include/KOpeningHours/OpeningHours
+include/kopeninghours/display.h
+include/kopeninghours/interval.h
+include/kopeninghours/intervalmodel.h
+include/kopeninghours/kopeninghours_export.h
+include/kopeninghours/openinghours.h
+include/kopeninghours_version.h
+lib/cmake/KOpeningHours/KOpeningHoursConfig.cmake
+lib/cmake/KOpeningHours/KOpeningHoursConfigVersion.cmake
+lib/cmake/KOpeningHours/KOpeningHoursTargets-%%CMAKE_BUILD_TYPE%%.cmake
+lib/cmake/KOpeningHours/KOpeningHoursTargets.cmake
+lib/libKOpeningHours.so
+lib/libKOpeningHours.so.1
+lib/libKOpeningHours.so.%%KDE_APPLICATIONS_VERSION%%
+%%QT_QMLDIR%%/org/kde/kopeninghours/kde-qmlmodule.version
+%%QT_QMLDIR%%/org/kde/kopeninghours/kopeninghoursqmlplugin.qmltypes
+%%QT_QMLDIR%%/org/kde/kopeninghours/libkopeninghoursqmlplugin.so
+%%QT_QMLDIR%%/org/kde/kopeninghours/qmldir
+share/locale/ast/LC_MESSAGES/kopeninghours.mo
+share/locale/ca/LC_MESSAGES/kopeninghours.mo
+share/locale/ca@valencia/LC_MESSAGES/kopeninghours.mo
+share/locale/cs/LC_MESSAGES/kopeninghours.mo
+share/locale/de/LC_MESSAGES/kopeninghours.mo
+share/locale/en_GB/LC_MESSAGES/kopeninghours.mo
+share/locale/eo/LC_MESSAGES/kopeninghours.mo
+share/locale/es/LC_MESSAGES/kopeninghours.mo
+share/locale/eu/LC_MESSAGES/kopeninghours.mo
+share/locale/fi/LC_MESSAGES/kopeninghours.mo
+share/locale/fr/LC_MESSAGES/kopeninghours.mo
+share/locale/gl/LC_MESSAGES/kopeninghours.mo
+share/locale/he/LC_MESSAGES/kopeninghours.mo
+share/locale/hi/LC_MESSAGES/kopeninghours.mo
+share/locale/hu/LC_MESSAGES/kopeninghours.mo
+share/locale/ia/LC_MESSAGES/kopeninghours.mo
+share/locale/it/LC_MESSAGES/kopeninghours.mo
+share/locale/ja/LC_MESSAGES/kopeninghours.mo
+share/locale/ka/LC_MESSAGES/kopeninghours.mo
+share/locale/ko/LC_MESSAGES/kopeninghours.mo
+share/locale/lt/LC_MESSAGES/kopeninghours.mo
+share/locale/lv/LC_MESSAGES/kopeninghours.mo
+share/locale/nl/LC_MESSAGES/kopeninghours.mo
+share/locale/nn/LC_MESSAGES/kopeninghours.mo
+share/locale/pl/LC_MESSAGES/kopeninghours.mo
+share/locale/pt/LC_MESSAGES/kopeninghours.mo
+share/locale/pt_BR/LC_MESSAGES/kopeninghours.mo
+share/locale/ro/LC_MESSAGES/kopeninghours.mo
+share/locale/ru/LC_MESSAGES/kopeninghours.mo
+share/locale/sk/LC_MESSAGES/kopeninghours.mo
+share/locale/sl/LC_MESSAGES/kopeninghours.mo
+share/locale/sv/LC_MESSAGES/kopeninghours.mo
+share/locale/tr/LC_MESSAGES/kopeninghours.mo
+share/locale/uk/LC_MESSAGES/kopeninghours.mo
+share/locale/zh_CN/LC_MESSAGES/kopeninghours.mo
+share/locale/zh_TW/LC_MESSAGES/kopeninghours.mo
+share/qlogging-categories6/org_kde_kopeninghours.categories
diff --git a/devel/kpublictransport/Makefile b/devel/kpublictransport/Makefile
index dd911fd86772..9945e5e87284 100644
--- a/devel/kpublictransport/Makefile
+++ b/devel/kpublictransport/Makefile
@@ -1,6 +1,5 @@
 PORTNAME=	kpublictransport
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	6
 CATEGORIES=	devel kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
@@ -8,14 +7,15 @@ COMMENT=	Access realtime public transport data
 
 LIB_DEPENDS=	libprotobuf.so:devel/protobuf
 
-USES=		cmake compiler:c++11-lang kde:5 qt:5 tar:xz
+USES=		cmake compiler:c++11-lang gettext kde:6 qt:6 tar:xz
 USE_KDE=	ecm:build
-USE_QT=		core declarative gui network \
-		buildtools:build qmake:build
+USE_QT=		base
 
 OPTIONS_DEFINE=	DOCS
 
+CXXFLAGS=	-DPROTOBUF_ENABLE_DEBUG_LOGGING_MAY_LEAK_PII=0
+
 # Override shared library version
-KDE_APPLICATIONS_SHLIB_VER=	${KDE_APPLICATIONS_VERSION}
+#KDE_APPLICATIONS_SHLIB_VER=	${KDE_APPLICATIONS_VERSION}
 
 .include <bsd.port.mk>
diff --git a/devel/kpublictransport/distinfo b/devel/kpublictransport/distinfo
index a01957e77e70..9a5f9cda2bc3 100644
--- a/devel/kpublictransport/distinfo
+++ b/devel/kpublictransport/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889342
-SHA256 (KDE/release-service/23.08.5/kpublictransport-23.08.5.tar.xz) = e3f7e56e9e8b26310d26184e8b2a2b6f308c98cc98457181f4d5eabc0b255a58
-SIZE (KDE/release-service/23.08.5/kpublictransport-23.08.5.tar.xz) = 572952
+TIMESTAMP = 1734460102
+SHA256 (KDE/release-service/24.12.0/kpublictransport-24.12.0.tar.xz) = b1e0f9498219e5733d47d2c8b60082201ea285215e392831a587267e2c683250
+SIZE (KDE/release-service/24.12.0/kpublictransport-24.12.0.tar.xz) = 757532
diff --git a/devel/kpublictransport/pkg-plist b/devel/kpublictransport/pkg-plist
index f6e697be7706..e7e402094601 100644
--- a/devel/kpublictransport/pkg-plist
+++ b/devel/kpublictransport/pkg-plist
@@ -6,6 +6,7 @@ include/KPublicTransport/KPublicTransport/CoverageArea
 include/KPublicTransport/KPublicTransport/Datatypes
 include/KPublicTransport/KPublicTransport/Disruption
 include/KPublicTransport/KPublicTransport/Equipment
+include/KPublicTransport/KPublicTransport/Feature
 include/KPublicTransport/KPublicTransport/IndividualTransport
 include/KPublicTransport/KPublicTransport/Journey
 include/KPublicTransport/KPublicTransport/JourneyQueryModel
@@ -42,6 +43,7 @@ include/KPublicTransport/kpublictransport/coveragearea.h
 include/KPublicTransport/kpublictransport/datatypes.h
 include/KPublicTransport/kpublictransport/disruption.h
 include/KPublicTransport/kpublictransport/equipment.h
+include/KPublicTransport/kpublictransport/feature.h
 include/KPublicTransport/kpublictransport/individualtransport.h
 include/KPublicTransport/kpublictransport/journey.h
 include/KPublicTransport/kpublictransport/journeyquerymodel.h
@@ -79,16 +81,51 @@ lib/cmake/KPublicTransport/KPublicTransportTargets-%%CMAKE_BUILD_TYPE%%.cmake
 lib/cmake/KPublicTransport/KPublicTransportTargets.cmake
 lib/libKPublicTransport.so
 lib/libKPublicTransport.so.1
-lib/libKPublicTransport.so.%%KDE_APPLICATIONS_SHLIB_VER%%
+lib/libKPublicTransport.so.%%KDE_APPLICATIONS_VERSION%%
 lib/libKPublicTransportOnboard.so
 lib/libKPublicTransportOnboard.so.1
 lib/libKPublicTransportOnboard.so.%%KDE_APPLICATIONS_VERSION%%
+%%QT_QMLDIR%%/org/kde/kpublictransport/kde-qmlmodule.version
+%%QT_QMLDIR%%/org/kde/kpublictransport/kpublictransportqmlplugin.qmltypes
 %%QT_QMLDIR%%/org/kde/kpublictransport/libkpublictransportqmlplugin.so
+%%QT_QMLDIR%%/org/kde/kpublictransport/onboard/kde-qmlmodule.version
+%%QT_QMLDIR%%/org/kde/kpublictransport/onboard/kpublictransportonboardqmlplugin.qmltypes
 %%QT_QMLDIR%%/org/kde/kpublictransport/onboard/libkpublictransportonboardqmlplugin.so
 %%QT_QMLDIR%%/org/kde/kpublictransport/onboard/qmldir
 %%QT_QMLDIR%%/org/kde/kpublictransport/qmldir
+%%QT_QMLDIR%%/org/kde/kpublictransport/ui/FeatureIcon.qml
+%%QT_QMLDIR%%/org/kde/kpublictransport/ui/OccupancyIndicator.qml
 %%QT_QMLDIR%%/org/kde/kpublictransport/ui/VehicleSectionItem.qml
+%%QT_QMLDIR%%/org/kde/kpublictransport/ui/kde-qmlmodule.version
+%%QT_QMLDIR%%/org/kde/kpublictransport/ui/kpublictransportquickplugin.qmltypes
 %%QT_QMLDIR%%/org/kde/kpublictransport/ui/libkpublictransportquickplugin.so
 %%QT_QMLDIR%%/org/kde/kpublictransport/ui/qmldir
-share/qlogging-categories5/org_kde_kpublictransport.categories
-share/qlogging-categories5/org_kde_kpublictransport_onboard.categories
+share/locale/ca/LC_MESSAGES/kpublictransport.mo
+share/locale/ca@valencia/LC_MESSAGES/kpublictransport.mo
+share/locale/cs/LC_MESSAGES/kpublictransport.mo
+share/locale/de/LC_MESSAGES/kpublictransport.mo
+share/locale/en_GB/LC_MESSAGES/kpublictransport.mo
+share/locale/eo/LC_MESSAGES/kpublictransport.mo
+share/locale/es/LC_MESSAGES/kpublictransport.mo
+share/locale/eu/LC_MESSAGES/kpublictransport.mo
+share/locale/fi/LC_MESSAGES/kpublictransport.mo
+share/locale/fr/LC_MESSAGES/kpublictransport.mo
+share/locale/gl/LC_MESSAGES/kpublictransport.mo
+share/locale/he/LC_MESSAGES/kpublictransport.mo
+share/locale/hu/LC_MESSAGES/kpublictransport.mo
+share/locale/ia/LC_MESSAGES/kpublictransport.mo
+share/locale/it/LC_MESSAGES/kpublictransport.mo
+share/locale/ka/LC_MESSAGES/kpublictransport.mo
+share/locale/ko/LC_MESSAGES/kpublictransport.mo
+share/locale/lv/LC_MESSAGES/kpublictransport.mo
+share/locale/nl/LC_MESSAGES/kpublictransport.mo
+share/locale/pl/LC_MESSAGES/kpublictransport.mo
+share/locale/ru/LC_MESSAGES/kpublictransport.mo
+share/locale/sk/LC_MESSAGES/kpublictransport.mo
+share/locale/sl/LC_MESSAGES/kpublictransport.mo
+share/locale/sv/LC_MESSAGES/kpublictransport.mo
+share/locale/tr/LC_MESSAGES/kpublictransport.mo
+share/locale/uk/LC_MESSAGES/kpublictransport.mo
+share/locale/zh_CN/LC_MESSAGES/kpublictransport.mo
+share/qlogging-categories6/org_kde_kpublictransport.categories
+share/qlogging-categories6/org_kde_kpublictransport_onboard.categories
diff --git a/devel/ktextaddons/Makefile b/devel/ktextaddons/Makefile
index 605706bf4f46..897f3519dcef 100644
--- a/devel/ktextaddons/Makefile
+++ b/devel/ktextaddons/Makefile
@@ -1,5 +1,6 @@
 PORTNAME=	ktextaddons
 DISTVERSION=	1.5.4
+PORTREVISION=	1
 CATEGORIES=	devel kde
 MASTER_SITES=	KDE/stable/${PORTNAME}/
 
@@ -9,15 +10,15 @@ WWW=		https://invent.kde.org/libraries/ktextaddons/
 
 LICENSE=	LGPL20+
 
-LIB_DEPENDS=	libqt5keychain.so:security/qtkeychain
+LIB_DEPENDS=	libqt6keychain.so:security/qtkeychain@qt6
 
-USES=		cmake kde:5 qt:5 tar:xz xorg
-USE_KDE=	archive auth codecs completion config configwidgets coreaddons \
-		i18n jobwidgets kio service solid sonnet syntaxhighlighting \
-		widgetsaddons windowsystem \
+USES=		gettext cmake kde:6 qt:6 tar:xz xorg
+USE_KDE=	archive auth codecs completion config configwidgets \
+		coreaddons i18n jobwidgets kio service solid sonnet \
+		syntaxhighlighting widgetsaddons windowsystem \
 		ecm:build
-USE_QT=		core concurrent dbus gui network speech widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base
+CMAKE_ARGS=	-DQT_MAJOR_VERSION:STRING="6"
 USE_XORG=	x11
 
 PLIST_SUB+=	LIBVERSION=${PORTVERSION}
diff --git a/devel/ktextaddons/distinfo b/devel/ktextaddons/distinfo
index cbe480b43b45..834902a047a2 100644
--- a/devel/ktextaddons/distinfo
+++ b/devel/ktextaddons/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1716635806
+TIMESTAMP = 1717064253
 SHA256 (ktextaddons-1.5.4.tar.xz) = 64b80602e84b25e9164620af3f6341fa865b85e826ab8f5e02061ae24a277b20
 SIZE (ktextaddons-1.5.4.tar.xz) = 471052
